'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _main = require('../sigma/main');

var _main2 = _interopRequireDefault(_main);

require('../sigma/layout.dagre');

var _ReactSigmaLayoutPlugin = require('./ReactSigmaLayoutPlugin');

var _ReactSigmaLayoutPlugin2 = _interopRequireDefault(_ReactSigmaLayoutPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**

Dagre layout algorythm.
It supposes that sigma graph is already in place, therefore component should not be
mounted while graph is unavailable. It can be used within Sigma component if graph is
preloaded, or within loader component, like NeoCypher.

It accepts all the parameters of Dagre described on its github page:
@param {boolean}	directed?
@param {boolean}	multigraph?
@param {boolean}	compound?
@param {"TB"|"BT"|"RL"|"LR"}	rankDir?
@param {Sigma$Easing} easing  Easing mode

[see sigma plugin page for more details](https://github.com/Linkurious/linkurious.js/tree/develop/plugins/sigma.layouts.dagre)

**/

var Dagre = function Dagre(props) {
	return _react2['default'].createElement(_ReactSigmaLayoutPlugin2['default'], (0, _extends3['default'])({
		start: _main2['default'].layouts.dagre.start,
		config: _main2['default'].layouts.dagre.configure,
		stop: function stop() {
			return console.warn("dagre stop not implemented");
		} }, props));
};

exports['default'] = Dagre;
module.exports = exports['default'];