'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _main = require('../sigma/main');

var _main2 = _interopRequireDefault(_main);

require('../sigma/plugins.filter');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**

Filter component, interface for filter sigma plugin.
It supposes that sigma graph is already in place, therefore component should not be
mounted until graph is available. It can be used within Sigma component if graph is
preloaded, or within loader component, like NeoCypher.

Filter is hiding all nodes which do not apply to the provided nodesBy criteria.

@param {Nodes$Filter} nodesBy   will hide nodes where filter returns false

type Nodes$Filter = (node: Sigma$Node) => boolean;


**/

//import { embedProps } from './tools'

var Filter = function (_React$Component) {
	(0, _inherits3['default'])(Filter, _React$Component);

	function Filter() {
		var _temp, _this, _ret;

		(0, _classCallCheck3['default'])(this, Filter);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
			return null;
		}, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
	}

	Filter.prototype.componentDidMount = function componentDidMount() {
		this.filter = new _main2['default'].plugins.filter(this.props.sigma);
		this._apply(this.props);
	};

	// TODO: will it work in composition with ForceAtlas for instance?
	//It should hide nodes before rendering of subplugins, therefore used in componentWillUpdate.. is it right?


	Filter.prototype.componentWillUpdate = function componentWillUpdate(props) {
		if (props.nodesBy !== this.props.nodesBy || props.neighborsOf !== this.props.neighborsOf) this._apply(props);
	};

	// TODO: Composition is not working yet!!


	Filter.prototype._apply = function _apply(props) {
		this.filter.undo(["neighborsOf", "nodesBy"]);
		if (props.neighborsOf) {
			this.filter.neighborsOf(props.neighborsOf, "neighborsOf");
		}
		if (props.nodesBy) this.filter.nodesBy(props.nodesBy, "nodesBy");
		this.filter.apply();
		if (this.props.sigma) this.props.sigma.refresh();
	};

	return Filter;
}(_react2['default'].Component);

Filter.propTypes = {
	nodesBy: require('react').PropTypes.any,
	neighborsOf: require('react').PropTypes.string,
	sigma: require('react').PropTypes.any
};
exports['default'] = Filter;
module.exports = exports['default'];