'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _main = require('../sigma/main');

var _main2 = _interopRequireDefault(_main);

var _tools = require('./tools');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**

RandomizeNodePositions component, sets random positions to all nodes.
Can be used within Sigma component with predefined graph or within graph loader component.

**/

var RandomizeNodePositions = function (_React$PureComponent) {
    (0, _inherits3['default'])(RandomizeNodePositions, _React$PureComponent);

    function RandomizeNodePositions(props) {
        (0, _classCallCheck3['default'])(this, RandomizeNodePositions);

        var _this = (0, _possibleConstructorReturn3['default'])(this, _React$PureComponent.call(this, props));

        _this.props.sigma && _this.props.sigma.graph.nodes().forEach(function (n) {
            n.x = Math.random();
            n.y = Math.random();
        });
        _this.props.sigma && _this.props.sigma.refresh();
        return _this;
    }

    RandomizeNodePositions.prototype.render = function render() {
        return _react2['default'].createElement(
            'div',
            null,
            (0, _tools.embedProps)(this.props.children, { sigma: this.props.sigma })
        );
    };

    return RandomizeNodePositions;
}(_react2['default'].PureComponent);

RandomizeNodePositions.propTypes = {
    children: require('react').PropTypes.any,
    sigma: require('react').PropTypes.any
};
exports['default'] = RandomizeNodePositions;
module.exports = exports['default'];